package test.dao;


import org.seasar.dao.unit.S2DaoTestCase;

import test.dao.TestTableDao;
import test.entity.TestTable;

public class TestTableDaoTest extends S2DaoTestCase {
    private TestTableDao testTableDao;
    
    public TestTableDaoTest(String arg0) {
        super(arg0);
    }

    public void setUp() {
        include("TestTableDao.dicon");
    }
    
    public void testInsertFailTx() {
        if (testTableDao.isCountZero()) {
            TestTable entity = new TestTable();
            entity.setId(1);
            entity.setName("Test1");
            testTableDao.insert(entity);
        } else {
            TestTable entity = new TestTable();
            entity.setId(2);
            entity.setName("Test2");
            testTableDao.insert(entity);
        }
    }
    
    public void testInsertTx() {
        if (testTableDao.selectCount() > 0) {
            TestTable entity = new TestTable();
            entity.setId(2);
            entity.setName("Test2");
            testTableDao.insert(entity);
        } else {
            TestTable entity = new TestTable();
            entity.setId(1);
            entity.setName("Test1");
            testTableDao.insert(entity);
        }
    }
}
